import { createServer } from 'node:http'
import { new_request } from './RequestHandler';


export const www_folder: string = '/home/carsten/Dokumente/SmartHomeDashboard/html/';
export const index_alias: string = 'index.html';
const port: number = 8080;
const hostname: string = '127.0.0.1';


export function start_server(): void {
    const server = createServer(new_request);

    server.listen(port, hostname, () => {
        console.log('Server running at http://' + hostname  + ':' + port);
    });
}

