"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.new_request = void 0;
var FileHandler_1 = require("./FileHandler");
function new_request(req, res) {
    if ((0, FileHandler_1.file_allowed)(req.url)) {
        if ((0, FileHandler_1.file_exists)(req.url)) {
            res.statusCode = 200;
            var f = (0, FileHandler_1.file_get)(req.url);
            res.setHeader('Content-Type', f.type);
            res.end(f.content);
        }
        else {
            res.statusCode = 404;
        }
    }
    else {
        res.statusCode = 403;
    }
    console.log(req.url, res.statusCode);
    res.end();
}
exports.new_request = new_request;
